import { Pipe, PipeTransform } from '@angular/core';
import { isno , PlanTypeEnum , AuditStatusEnum , PlanLevelEnum} from '../interface'
@Pipe({name: 'isno'})
export class IsnoPipe implements PipeTransform {
    transform(value: boolean): string {
        if(value){
           var x = 0
        }else{
            x=1
        }
        return isno[x]
    }
}
@Pipe({name: 'plantype'})
export class PlanType implements PipeTransform {
    transform(value: number): string {
        return PlanTypeEnum[value]
    }
}

@Pipe({name: 'auditsatus'})
export class AuditSatus implements PipeTransform {
    transform(value: number): string {
        return AuditStatusEnum[value]
    }
}
@Pipe({name: 'planlevel'})
export class  PlanLevel implements PipeTransform {
    transform(value: number): string {
        return PlanLevelEnum[value]
    }
}