import { Component, OnInit } from '@angular/core';

@Component({
  selector: 'app-rehearsal-recordinfo',
  templateUrl: './rehearsal-recordinfo.component.html',
  styleUrls: ['./rehearsal-recordinfo.component.scss']
})
export class RehearsalRecordinfoComponent implements OnInit {
  tabsSelectedIndex:any = 0//当前选项卡值
  title:any = "演练记录信息"
  constructor() { }

  //灾情设定
  situationexplain = "实情设定要求有灾情时间、地点、灾情范围和发展趋势、被困人员数量、消防设施损坏情况、灭火救援进程等，还可根据演练开展情况随机设置灾情况实情设定要求有灾情时间、地点、灾情范围和发展趋势、被困人员数量、消防设施损坏情况、灭火救援进程等，还可根据演练开展情况随机设置灾情"
  situationplaceholder = "请输入灾情设定"
  //组织指挥情况
  organizationexplain = "支队演练组织指挥主要包括力量调集、信息收集、制订作战方案、部署作战任务、落实战勤保障等情况； 大中队演练组织指挥主要 包括部署作战任务等情况"
  organizationplaceholder = "请输入组织指挥情况"
  //作战行动情况
  operationexplain = "主要包括火警受理、力量调派、灾情侦察、战斗展开、抢救人员、疏散物资、现场破拆、火场供水、火场排烟、现场通信等情况。通常一处战斗行动的描述主要包括作战人员、作战线路、作战技战术措施、作战任务、作战任务落实效果等"
  operationplaceholder = "请输入作战行动情况"
  //单位内部消防设施使用情况
  firefightingequipmentexplain = "通常包括使用人员、使用方式方法、使用目的效果等"
  firefightingequipmenplaceholder = "请输入单位内部消防设施使用情况"
  //好的方面
  goodexplain = "主要对接警调度、指挥决策、战斗部署、战术运用、协同作战、战勤保障、作战秩序、作战安全等方面存在问题进行归纳"
  goodplaceholder = "请输入好的方面"
  //存在问题及改进措施
  problemexplain = "主要对接警调度、指挥决策、战斗部署、战术运用、协同作战、战勤保障、作战秩序、作战安全等方面存在问题进行归纳"
  problemplaceholder = "请输入存在问题及改进措施"
  //备注
  remarkexplain = '1、时间填写到年-月-日-时；2、作战行动主要包括火警受理、力量调派、灾情侦察、战斗展开、抢救人员、疏散物资、现场破拆、火场供水、火场排烟、现场通信等情况；3、组织指挥主要包括力量调集、信息收集、制订作战方案、部署作战任务、指挥战斗行动、落实战勤保障等情况；4、演练要求有影像资料，并及时建档；5、各地可参照此卡，结合本地实际，制定演练记录卡'
  remarkplaceholder = '请输入存在问题及改进措施'
  ngOnInit(): void {
  }
  onCustom($event){
    console.log($event);//data from child
    this.tabsSelectedIndex = 1
  }
  selectedtab(e){
    sessionStorage.setItem("tabsindex",e.index)
  }
}
